Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SF2Region

    java.lang.Object
      com.sun.media.sound.SF2Region

Direct Known Subclasses:
  SF2GlobalRegion, SF2InstrumentRegion, SF2LayerRegion

    public class SF2Region

extends java.lang.Object

Soundfont general region.

Author:
  Karl Helgason

Field Summary
`static int` | `GENERATOR_ATTACKMODENV`
`static int` | `GENERATOR_ATTACKVOLENV`
`static int` | `GENERATOR_CHORUSEFFECTSSEND`
`static int` | `GENERATOR_COARSETUNE`
`static int` | `GENERATOR_DECAYMODENV`
`static int` | `GENERATOR_DECAYVOLENV`
`static int` | `GENERATOR_DELAYMODENV`
`static int` | `GENERATOR_DELAYMODLFO`
`static int` | `GENERATOR_DELAYVIBLFO`
`static int` | `GENERATOR_DELAYVOLENV`
`static int` | `GENERATOR_ENDADDRSCOARSEOFFSET`
`static int` | `GENERATOR_ENDADDRSOFFSET`
`static int` | `GENERATOR_ENDLOOPADDRSCOARSEOFFSET`
`static int` | `GENERATOR_ENDLOOPADDRSOFFSET`
`static int` | `GENERATOR_ENDOPR`
`static int` | `GENERATOR_EXCLUSIVECLASS`
`static int` | `GENERATOR_FINETUNE`
`static int` | `GENERATOR_FREQMODLFO`
`static int` | `GENERATOR_FREQVIBLFO`
`static int` | `GENERATOR_HOLDMODENV`
`static int` | `GENERATOR_HOLDVOLENV`
`static int` | `GENERATOR_INITIALATTENUATION`
`static int` | `GENERATOR_INITIALFILTERFC`
`static int` | `GENERATOR_INITIALFILTERQ`
`static int` | `GENERATOR_INSTRUMENT`
`static int` | `GENERATOR_KEYNUM`
`static int` | `GENERATOR_KEYNUMTOMODENVDECAY`
`static int` | `GENERATOR_KEYNUMTOMODENVHOLD`
`static int` | `GENERATOR_KEYNUMTOVOLENVDECAY`
`static int` | `GENERATOR_KEYNUMTOVOLENVHOLD`
`static int` | `GENERATOR_KEYRANGE`
`static int` | `GENERATOR_MODENVTOFILTERFC`
`static int` | `GENERATOR_MODENVTOPITCH`
`static int` | `GENERATOR_MODLFOTOFILTERFC`
`static int` | `GENERATOR_MODLFOTOPITCH`
`static int` | `GENERATOR_MODLFOTOVOLUME`
`static int` | `GENERATOR_OVERRIDINGROOTKEY`
`static int` | `GENERATOR_PAN`
`static int` | `GENERATOR_RELEASEMODENV`
`static int` | `GENERATOR_RELEASEVOLENV`
`static int` | `GENERATOR_RESERVED1`
`static int` | `GENERATOR_RESERVED2`
`static int` | `GENERATOR_RESERVED3`
`static int` | `GENERATOR_REVERBEFFECTSSEND`
`static int` | `GENERATOR_SAMPLEID`
`static int` | `GENERATOR_SAMPLEMODES`
`static int` | `GENERATOR_SCALETUNING`
`static int` | `GENERATOR_STARTADDRSCOARSEOFFSET`
`static int` | `GENERATOR_STARTADDRSOFFSET`
`static int` | `GENERATOR_STARTLOOPADDRSCOARSEOFFSET`
`static int` | `GENERATOR_STARTLOOPADDRSOFFSET`
`static int` | `GENERATOR_SUSTAINMODENV`
`static int` | `GENERATOR_SUSTAINVOLENV`
`static int` | `GENERATOR_UNUSED1`
`static int` | `GENERATOR_UNUSED2`
`static int` | `GENERATOR_UNUSED3`
`static int` | `GENERATOR_UNUSED4`
`static int` | `GENERATOR_UNUSED5`
`static int` | `GENERATOR_VELOCITY`
`static int` | `GENERATOR_VELRANGE`
`static int` | `GENERATOR_VIBLFOTOPITCH`

Constructor Summary
`SF2Region()`

Method Summary
`boolean` | `contains(int generator)`
`byte[]` | `getBytes(int generator)`
`static short` | `getDefaultValue(int generator)`
`java.util.Map<java.lang.Integer,java.lang.Short>` | `getGenerators()`
`int` | `getInteger(int generator)`
`java.util.List<SF2Modulator>` | `getModulators()`
`short` | `getShort(int generator)`
`void` | `putBytes(int generator, byte[] bytes)`
`void` | `putInteger(int generator, int value)`
`void` | `putShort(int generator, short value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERATOR_STARTADDRSOFFSET

    public static final int GENERATOR_STARTADDRSOFFSET

See Also:
  Constant Field Values

### GENERATOR_ENDADDRSOFFSET

    public static final int GENERATOR_ENDADDRSOFFSET

See Also:
  Constant Field Values

### GENERATOR_STARTLOOPADDRSOFFSET

    public static final int GENERATOR_STARTLOOPADDRSOFFSET

See Also:
  Constant Field Values

### GENERATOR_ENDLOOPADDRSOFFSET

    public static final int GENERATOR_ENDLOOPADDRSOFFSET

See Also:
  Constant Field Values

### GENERATOR_STARTADDRSCOARSEOFFSET

    public static final int GENERATOR_STARTADDRSCOARSEOFFSET

See Also:
  Constant Field Values

### GENERATOR_MODLFOTOPITCH

    public static final int GENERATOR_MODLFOTOPITCH

See Also:
  Constant Field Values

### GENERATOR_VIBLFOTOPITCH

    public static final int GENERATOR_VIBLFOTOPITCH

See Also:
  Constant Field Values

### GENERATOR_MODENVTOPITCH

    public static final int GENERATOR_MODENVTOPITCH

See Also:
  Constant Field Values

### GENERATOR_INITIALFILTERFC

    public static final int GENERATOR_INITIALFILTERFC

See Also:
  Constant Field Values

### GENERATOR_INITIALFILTERQ

    public static final int GENERATOR_INITIALFILTERQ

See Also:
  Constant Field Values

### GENERATOR_MODLFOTOFILTERFC

    public static final int GENERATOR_MODLFOTOFILTERFC

See Also:
  Constant Field Values

### GENERATOR_MODENVTOFILTERFC

    public static final int GENERATOR_MODENVTOFILTERFC

See Also:
  Constant Field Values

### GENERATOR_ENDADDRSCOARSEOFFSET

    public static final int GENERATOR_ENDADDRSCOARSEOFFSET

See Also:
  Constant Field Values

### GENERATOR_MODLFOTOVOLUME

    public static final int GENERATOR_MODLFOTOVOLUME

See Also:
  Constant Field Values

### GENERATOR_UNUSED1

    public static final int GENERATOR_UNUSED1

See Also:
  Constant Field Values

### GENERATOR_CHORUSEFFECTSSEND

    public static final int GENERATOR_CHORUSEFFECTSSEND

See Also:
  Constant Field Values

### GENERATOR_REVERBEFFECTSSEND

    public static final int GENERATOR_REVERBEFFECTSSEND

See Also:
  Constant Field Values

### GENERATOR_PAN

    public static final int GENERATOR_PAN

See Also:
  Constant Field Values

### GENERATOR_UNUSED2

    public static final int GENERATOR_UNUSED2

See Also:
  Constant Field Values

### GENERATOR_UNUSED3

    public static final int GENERATOR_UNUSED3

See Also:
  Constant Field Values

### GENERATOR_UNUSED4

    public static final int GENERATOR_UNUSED4

See Also:
  Constant Field Values

### GENERATOR_DELAYMODLFO

    public static final int GENERATOR_DELAYMODLFO

See Also:
  Constant Field Values

### GENERATOR_FREQMODLFO

    public static final int GENERATOR_FREQMODLFO

See Also:
  Constant Field Values

### GENERATOR_DELAYVIBLFO

    public static final int GENERATOR_DELAYVIBLFO

See Also:
  Constant Field Values

### GENERATOR_FREQVIBLFO

    public static final int GENERATOR_FREQVIBLFO

See Also:
  Constant Field Values

### GENERATOR_DELAYMODENV

    public static final int GENERATOR_DELAYMODENV

See Also:
  Constant Field Values

### GENERATOR_ATTACKMODENV

    public static final int GENERATOR_ATTACKMODENV

See Also:
  Constant Field Values

### GENERATOR_HOLDMODENV

    public static final int GENERATOR_HOLDMODENV

See Also:
  Constant Field Values

### GENERATOR_DECAYMODENV

    public static final int GENERATOR_DECAYMODENV

See Also:
  Constant Field Values

### GENERATOR_SUSTAINMODENV

    public static final int GENERATOR_SUSTAINMODENV

See Also:
  Constant Field Values

### GENERATOR_RELEASEMODENV

    public static final int GENERATOR_RELEASEMODENV

See Also:
  Constant Field Values

### GENERATOR_KEYNUMTOMODENVHOLD

    public static final int GENERATOR_KEYNUMTOMODENVHOLD

See Also:
  Constant Field Values

### GENERATOR_KEYNUMTOMODENVDECAY

    public static final int GENERATOR_KEYNUMTOMODENVDECAY

See Also:
  Constant Field Values

### GENERATOR_DELAYVOLENV

    public static final int GENERATOR_DELAYVOLENV

See Also:
  Constant Field Values

### GENERATOR_ATTACKVOLENV

    public static final int GENERATOR_ATTACKVOLENV

See Also:
  Constant Field Values

### GENERATOR_HOLDVOLENV

    public static final int GENERATOR_HOLDVOLENV

See Also:
  Constant Field Values

### GENERATOR_DECAYVOLENV

    public static final int GENERATOR_DECAYVOLENV

See Also:
  Constant Field Values

### GENERATOR_SUSTAINVOLENV

    public static final int GENERATOR_SUSTAINVOLENV

See Also:
  Constant Field Values

### GENERATOR_RELEASEVOLENV

    public static final int GENERATOR_RELEASEVOLENV

See Also:
  Constant Field Values

### GENERATOR_KEYNUMTOVOLENVHOLD

    public static final int GENERATOR_KEYNUMTOVOLENVHOLD

See Also:
  Constant Field Values

### GENERATOR_KEYNUMTOVOLENVDECAY

    public static final int GENERATOR_KEYNUMTOVOLENVDECAY

See Also:
  Constant Field Values

### GENERATOR_INSTRUMENT

    public static final int GENERATOR_INSTRUMENT

See Also:
  Constant Field Values

### GENERATOR_RESERVED1

    public static final int GENERATOR_RESERVED1

See Also:
  Constant Field Values

### GENERATOR_KEYRANGE

    public static final int GENERATOR_KEYRANGE

See Also:
  Constant Field Values

### GENERATOR_VELRANGE

    public static final int GENERATOR_VELRANGE

See Also:
  Constant Field Values

### GENERATOR_STARTLOOPADDRSCOARSEOFFSET

    public static final int GENERATOR_STARTLOOPADDRSCOARSEOFFSET

See Also:
  Constant Field Values

### GENERATOR_KEYNUM

    public static final int GENERATOR_KEYNUM

See Also:
  Constant Field Values

### GENERATOR_VELOCITY

    public static final int GENERATOR_VELOCITY

See Also:
  Constant Field Values

### GENERATOR_INITIALATTENUATION

    public static final int GENERATOR_INITIALATTENUATION

See Also:
  Constant Field Values

### GENERATOR_RESERVED2

    public static final int GENERATOR_RESERVED2

See Also:
  Constant Field Values

### GENERATOR_ENDLOOPADDRSCOARSEOFFSET

    public static final int GENERATOR_ENDLOOPADDRSCOARSEOFFSET

See Also:
  Constant Field Values

### GENERATOR_COARSETUNE

    public static final int GENERATOR_COARSETUNE

See Also:
  Constant Field Values

### GENERATOR_FINETUNE

    public static final int GENERATOR_FINETUNE

See Also:
  Constant Field Values

### GENERATOR_SAMPLEID

    public static final int GENERATOR_SAMPLEID

See Also:
  Constant Field Values

### GENERATOR_SAMPLEMODES

    public static final int GENERATOR_SAMPLEMODES

See Also:
  Constant Field Values

### GENERATOR_RESERVED3

    public static final int GENERATOR_RESERVED3

See Also:
  Constant Field Values

### GENERATOR_SCALETUNING

    public static final int GENERATOR_SCALETUNING

See Also:
  Constant Field Values

### GENERATOR_EXCLUSIVECLASS

    public static final int GENERATOR_EXCLUSIVECLASS

See Also:
  Constant Field Values

### GENERATOR_OVERRIDINGROOTKEY

    public static final int GENERATOR_OVERRIDINGROOTKEY

See Also:
  Constant Field Values

### GENERATOR_UNUSED5

    public static final int GENERATOR_UNUSED5

See Also:
  Constant Field Values

### GENERATOR_ENDOPR

    public static final int GENERATOR_ENDOPR

See Also:
  Constant Field Values

Constructor Detail

### SF2Region

    public SF2Region()

Method Detail

### getGenerators

    public java.util.Map<java.lang.Integer,java.lang.Short> getGenerators()

### contains

    public boolean contains(int generator)

### getDefaultValue

    public static short getDefaultValue(int generator)

### getShort

    public short getShort(int generator)

### putShort

    public void putShort(int generator,
                         short value)

### getBytes

    public byte[] getBytes(int generator)

### putBytes

    public void putBytes(int generator,
                         byte[] bytes)

### getInteger

    public int getInteger(int generator)

### putInteger

    public void putInteger(int generator,
                           int value)

### getModulators

    public java.util.List<SF2Modulator> getModulators()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD